Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023241
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-03-06 06:502013-04-03 12:55
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchFixed in SCM revisione0b32d91511d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023241: Payment document not getting generated for Layaway order when the order is Overpaid

DescriptionPayment document not getting generated for Layaway order when the order is Overpaid
Steps To ReproduceCreate a Layaway order with the below details

• Product: Alpine skiing backpack 27 L
• Quantity: 5
• Unit Price: 109.90
• Total line amount: 549.50
• Discount(Fixed 10%): -54.95
• Total Gross Amount: 494.55

2) Then open the above created layaway order and make an over payment for 500 Euros

3) Then navigate to back end system and verify the payment details for the above created order(no payment document is generated)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0023252 closedmigueldejuana When a layaway order is overpaid, overpaid amount not handled in backend system. 

-  Notes
(0057080)
hgbot (developer)
2013-03-06 08:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e0b32d91511ddfb3df2d62801a8ef18244807ba1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Mar 06 08:52:07 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e0b32d91511ddfb3df2d62801a8ef18244807ba1 [^]

Fixed issue 23241: Layaways with overpayments works fine

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0057167)
guilleaer (developer)
2013-03-08 20:42

verified
(0057671)
hgbot (developer)
2013-04-02 20:10

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: e0b32d91511ddfb3df2d62801a8ef18244807ba1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Mar 06 08:52:07 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/e0b32d91511ddfb3df2d62801a8ef18244807ba1 [^]

Fixed issue 23241: Layaways with overpayments works fine

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2013-03-06 06:50 sureshbabu New Issue
2013-03-06 06:50 sureshbabu Assigned To => adrianromero
2013-03-06 06:52 sureshbabu Assigned To adrianromero => marvintm
2013-03-06 06:56 sureshbabu Assigned To marvintm => migueldejuana
2013-03-06 08:52 hgbot Checkin
2013-03-06 08:52 hgbot Note Added: 0057080
2013-03-06 08:52 hgbot Status new => resolved
2013-03-06 08:52 hgbot Resolution open => fixed
2013-03-06 08:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e0b32d91511ddfb3df2d62801a8ef18244807ba1 [^]
2013-03-08 20:42 guilleaer Review Assigned To => guilleaer
2013-03-08 20:42 guilleaer Note Added: 0057167
2013-03-08 20:42 guilleaer Status resolved => closed
2013-03-08 20:42 guilleaer Fixed in Version => RMP21
2013-03-13 13:21 sureshbabu Relationship added blocks 0023252
2013-04-02 20:10 hgbot Checkin
2013-04-02 20:10 hgbot Note Added: 0057671
2013-04-02 20:10 hgbot Status closed => resolved
2013-04-02 20:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e0b32d91511ddfb3df2d62801a8ef18244807ba1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/e0b32d91511ddfb3df2d62801a8ef18244807ba1 [^]
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker